다음을 통해 공유


Alerts - Change State Tenant

경고의 상태를 변경합니다.

POST https://management.azure.com/providers/Microsoft.AlertsManagement/alerts/{alertId}/changestate?api-version=2025-05-25-preview&newState={newState}

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
alertId
path True

string

경고 인스턴스의 고유 ID입니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

newState
query True

AlertState

경고의 새 상태입니다.

요청 본문

Name 형식 Description
comments

string

응답

Name 형식 Description
200 OK

Alert

Azure 작업이 성공적으로 완료되었습니다.

Other Status Codes

AlertsManagementErrorResponse

예기치 않은 오류 응답입니다.

보안

azure_auth

Azure Active Directory OAuth2 흐름.

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/authorize

범위

Name Description
user_impersonation 사용자 계정 가장

예제

Resolve

샘플 요청

POST https://management.azure.com/providers/Microsoft.AlertsManagement/alerts/66114d64-d9d9-478b-95c9-b789d6502100/changestate?api-version=2025-05-25-preview&newState=Acknowledged

샘플 응답

{
  "name": "cpu alert",
  "type": "Microsoft.AlertsManagement/alerts",
  "id": "/subscriptions/3b540246-808d-4331-99aa-917b808a9166/resourcegroups/servicedeskresourcegroup/providers/microsoft.insights/components/servicedeskappinsight/providers/Microsoft.AlertsManagement/alerts/66114d64-d9d9-478b-95c9-b789d6502100",
  "properties": {
    "context": {},
    "egressConfig": {},
    "essentials": {
      "description": "description of the alert",
      "actionStatus": {
        "isSuppressed": false
      },
      "alertRule": "https://servisdfsdfappinsight.portal.mms.microsoft.com/#Workspace/overview/settings/details/Edit Alert Rule/details/index?savedSearchId=&scheduleId=",
      "alertState": "Acknowledged",
      "lastModifiedDateTime": "2018-09-13T15:51:02Z",
      "lastModifiedUserName": "System",
      "monitorCondition": "Fired",
      "monitorConditionResolvedDateTime": "2018-09-13T15:51:02Z",
      "monitorService": "Application Insights",
      "severity": "Sev3",
      "signalType": "Log",
      "smartGroupId": "23d6b2ce-8c54-468f-aff0-sd32aebb7e56",
      "smartGroupingReason": "Occurred frequently with other alerts",
      "sourceCreatedId": "6cd6b2ce-8c54-468f-aff0-9d12aebb7e49",
      "startDateTime": "2018-09-13T15:51:02Z",
      "targetResource": "/subscriptions/3b540246-808d-4331-99aa-917b808a9166/resourcegroups/servicedeskresourcegroup/providers/microsoft.insights/components/servicedeskappinsight",
      "targetResourceGroup": "servicedeskresourcegroup",
      "targetResourceName": "servicedeskappinsight",
      "targetResourceType": "components"
    }
  }
}

정의

Name Description
ActionStatus

작업 상태

Alert

경고 관리 서비스에서 생성된 경고입니다.

AlertProperties

경고 속성 가방

AlertsManagementErrorResponse

서비스의 오류 응답입니다.

AlertState
Comments

경고 상태 이유 변경

ErrorResponseBody

오류 응답의 세부 정보입니다.

Essentials

이 오브젝트에는 서로 다른 모니터 서비스에서 일관된 필드가 포함되어 있습니다.

MonitorCondition
MonitorService
Severity
SignalType

경고의 기반이 되는 신호 유형으로, 메트릭, 로그 또는 활동 로그일 수 있습니다.

ActionStatus

작업 상태

Name 형식 Description
isSuppressed

boolean

경고가 억제되었는지 여부를 나타내는 값입니다.

Alert

경고 관리 서비스에서 생성된 경고입니다.

Name 형식 Description
id

string

Azure 리소스 ID

name

string

Azure 리소스 이름

properties

AlertProperties

경고 속성 가방

type

string

Azure 리소스 종류

AlertProperties

경고 속성 가방

Name 형식 Description
context

경고에 대한 자세한 컨텍스트 세부 정보를 제공하는 모니터 서비스와 관련된 정보입니다.

customProperties

object

사용자 정의 키-값 쌍을 보유할 수 있는 사용자 정의 속성

egressConfig

포털에서 데이터를 표시하는 데 사용되는 구성입니다.

essentials

Essentials

이 오브젝트에는 서로 다른 모니터 서비스에서 일관된 필드가 포함되어 있습니다.

AlertsManagementErrorResponse

서비스의 오류 응답입니다.

Name 형식 Description
error

ErrorResponseBody

오류 응답의 세부 정보입니다.

AlertState

Description
New

새롭다

Acknowledged

확인

Closed

닫힘

Comments

경고 상태 이유 변경

Name 형식 Description
comments

string

ErrorResponseBody

오류 응답의 세부 정보입니다.

Name 형식 Description
code

string

프로그래밍 방식으로 사용하기 위한 오류 코드입니다.

details

ErrorResponseBody[]

오류에 대한 추가 세부 정보 목록입니다.

message

string

사용자 인터페이스에 표시하기 위한 오류에 대한 설명입니다.

target

string

특정 오류의 대상(예: 속성 이름)입니다.

Essentials

이 오브젝트에는 서로 다른 모니터 서비스에서 일관된 필드가 포함되어 있습니다.

Name 형식 Description
actionStatus

ActionStatus

작업 상태

alertRule

string

경고 인스턴스를 발생시킨 Rule(monitor)입니다. 모니터 서비스에 따라 ARM ID 또는 규칙 이름이 됩니다.

alertState

AlertState

사용자가 수정할 수 있는 경고 개체 상태입니다.

description

string

경고 설명입니다.

lastModifiedDateTime

string (date-time)

경고 인스턴스의 마지막 수정 시간(ISO-8601 형식)입니다.

lastModifiedUserName

string

경고를 마지막으로 수정한 사용자, 모니터 서비스 업데이트의 경우 사용자는 '시스템'이 되고 그렇지 않으면 사용자 이름이 됩니다.

monitorCondition

MonitorCondition

기본 조건이 정의된 경고 규칙 임계값을 초과했는지 여부를 나타내는 '실행됨' 또는 '해결됨'일 수 있습니다.

monitorConditionResolvedDateTime

string (date-time)

경고 인스턴스의 해결된 시간(ISO-8601 형식)입니다. 이는 규칙 조건이 더 이상 충족되지 않기 때문에 모니터 서비스가 경고 인스턴스를 확인할 때 업데이트됩니다.

monitorService

MonitorService

규칙(monitor)이 설정된 서비스를 모니터링합니다.

severity

Severity

경고 Sev0의 심각도가 가장 높고 Sev4가 가장 낮습니다.

signalType

SignalType

경고의 기반이 되는 신호 유형으로, 메트릭, 로그 또는 활동 로그일 수 있습니다.

smartGroupId

string

스마트 그룹의 고유 ID

smartGroupingReason

string

이 경고 인스턴스가 스마트 그룹에 추가되는 이유를 설명하는 자세한 이유

sourceCreatedId

string

각 경고 인스턴스에 대해 모니터 서비스에서 만든 고유 ID입니다. 이것은 Nagios, Zabbix, SCOM 등의 경우 모니터 서비스에서 문제를 추적하는 데 사용할 수 있습니다.

startDateTime

string (date-time)

경고 인스턴스의 생성 시간(ISO-8601 형식)입니다.

targetResource

string

경고가 만들어진 대상 ARM 리소스입니다.

targetResourceGroup

string

경고가 만들어진 대상 ARM 리소스의 리소스 그룹입니다.

targetResourceName

string

경고가 만들어진 대상 ARM 리소스 이름의 이름입니다.

targetResourceType

string

경고가 생성된 대상 ARM 리소스의 리소스 유형입니다.

MonitorCondition

Description
Fired

해고

Resolved

해결됨

MonitorService

Description
Application Insights

Application Insights (애플리케이션 인사이트)

ActivityLog Administrative

ActivityLog 관리

ActivityLog Security

ActivityLog 보안

ActivityLog Recommendation

ActivityLog 추천

ActivityLog Policy

ActivityLog 정책

ActivityLog Autoscale

ActivityLog 자동 스케일

Log Analytics

Log Analytics

Nagios

나기오스

Platform

Platform

SCOM

SCOM

ServiceHealth

ServiceHealth

SmartDetector

스마트디텍터

VM Insights

VM 인사이트

Zabbix

자빅스

Resource Health

Resource Health

Severity

Description
Sev0

세브0

Sev1

1년 4월

Sev2

2월

Sev3

세브3

Sev4

Sev4

SignalType

경고의 기반이 되는 신호 유형으로, 메트릭, 로그 또는 활동 로그일 수 있습니다.

Description
Metric

Metric

Log

Log

Unknown

알 수 없음